use std::env;
use std::str::FromStr;
use std::net::Ipv4Addr;


enum ExitCode {
    Ok = 0,
    GenericFail = 1,
//    CantParse = 2,
}

fn main() {
    // Entry point only used to exit cleanly.
    let exit_code = real_main() as i32;
    std::process::exit(exit_code);
}

fn real_main() -> ExitCode {
    let args: Vec<String> = env::args().collect();

    // Exit if no input provided.
    if args.len() < 2 {
        println!("No input!");
        return ExitCode::GenericFail // Exit early.
    }

    let input = &args[1];
    let ipv4_addr: u32 = Ipv4Addr::from_str(input).unwrap().into();
    println!("Input: {}", input);
    println!("{}", ipv4_addr);

    return ExitCode::Ok // Ok!
}